package com.steerinfo.pretrack.pretracknotice.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.pretrack.pretracknotice.model.PreTrackNotice;
import com.steerinfo.util.CommonPage;

import java.util.List;

/**
 * PreTrackNotice服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-11-13 03:42
 * 类描述
 * 修订历史：
 * 日期：2020-11-13
 * 作者：generator
 * 参考：
 * 描述：PreTrackNotice服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IPreTrackNoticeService extends IBaseService<PreTrackNotice, String>{

    String checkAndAdd(PreTrackNotice model);

    String checkAndUpdate(PreTrackNotice model);

    int abolish(List<PreTrackNotice> models);

    int recover(List<PreTrackNotice> models);

    PageList<PreTrackNotice> listLike(CommonPage<PreTrackNotice> model);

    int checkAndAddList(List<PreTrackNotice> models);

}